#############################################################
#
# fakeident
#
#############################################################

FAKEIDENT_SOURCE_URL=http://www.guru-group.fi/~too/sw/releases/
FAKEIDENT_SOURCE=identd.c
FAKEIDENT_DIR=$(BUILD_DIR)/fakeident

FAKEIDENT_PATCH=$(PATCH_DIR)/fakeident/1.18.diff

$(DL_DIR)/$(FAKEIDENT_SOURCE):
	 $(WGET) -P $(DL_DIR) $(FAKEIDENT_SOURCE_URL)$(FAKEIDENT_SOURCE)

fakeident-source: $(DL_DIR)/$(FAKEIDENT_SOURCE)

$(FAKEIDENT_DIR)/.unpacked: $(DL_DIR)/$(FAKEIDENT_SOURCE)
	-[ ! -d $(FAKEIDENT_DIR) ] && mkdir $(FAKEIDENT_DIR)
	cp $(DL_DIR)/$(FAKEIDENT_SOURCE) $(FAKEIDENT_DIR)/.
	touch $(FAKEIDENT_DIR)/.unpacked

$(FAKEIDENT_DIR)/identd: $(FAKEIDENT_DIR)/.unpacked
	$(MAKE) -C $(FAKEIDENT_DIR) \
		CC=/usr/bin/gcc	\
		CFLAGS="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
		identd identd.c

$(ADD_MASTER)/sbin/identd: $(FAKEIDENT_DIR)/identd
	cp -a $(FAKEIDENT_DIR)/identd $(ADD_MASTER)/sbin/identd
	-$(SSTRIP) $(ADD_MASTER)/sbin/identd

fakeident: $(ADD_MASTER)/sbin/identd

fakeident-clean:
	rm -f $(FAKEIDENT_DIR)/identd
	rm -f $(ADD_MASTER)/sbin/identd

fakeident-dirclean:
	rm -rf $(FAKEIDENT_DIR)
	rm -f $(ADD_MASTER)/sbin/identd

